## com.baidubce.services.bos.model
Class ListMultipartUploadsResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.bos.model.BosResponse
              com.baidubce.services.bos.model.ListMultipartUploadsResponse

    public class ListMultipartUploadsResponse

extends BosResponse

The ListMultipartUploadsResponse contains all the information about the ListMultipartUploads method.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`ListMultipartUploadsResponse()`

Method Summary
`String` `getBucketName()` Returns the name of the bucket containing the listed multipart uploads, as specified in the original request.
`List<String>` `getCommonPrefixes()` Returns the common prefixes included in this multipart upload listing.
`String` `getDelimiter()` Gets the delimiter parameter originally used to request this multipart upload listing, or `null` if no delimiter specified.
`String` `getKeyMarker()` Returns the optional key marker specified in the original request to specify where in the results to begin listing multipart uploads.
`int` `getMaxUploads()` Returns the optional maximum number of uploads to be listed, as specified in the original request.
`List<MultipartUploadSummary>` `getMultipartUploads()` Returns the list of multipart uploads.
`String` `getNextKeyMarker()` Returns the next key marker that should be used in the next request to get the next page of results.
`String` `getPrefix()` Returns the prefix parameter originally used to request this multipart upload listing, or `null` if no prefix was specified.
`boolean` `isTruncated()` Returns true if the listing is truncated, and additional requests need to be made to get more results.
`void` `setBucketName(String bucketName)` Sets the name of the bucket containing the listed multipart uploads, as specified in the original request.
`void` `setCommonPrefixes(List<String> commonPrefixes)` For internal use only.
`void` `setDelimiter(String delimiter)` For internal use only.
`void` `setKeyMarker(String keyMarker)` Sets the optional key marker specified in the original request to specify where in the results to begin listing multipart uploads.
`void` `setMaxUploads(int maxUploads)` Sets the optional maximum number of uploads to be listed, as specified in the original request.
`void` `setMultipartUploads(List<MultipartUploadSummary> multipartUploads)` Sets the list of multipart uploads.
`void` `setNextKeyMarker(String nextKeyMarker)` Sets the next key marker that should be used in the next request to get the next page of results.
`void` `setPrefix(String prefix)` For internal use only.
`void` `setTruncated(boolean isTruncated)` Sets whether this listing is truncated, and additional requests need to be made to get more results.

Methods inherited from class com.baidubce.services.bos.model.BosResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListMultipartUploadsResponse

    public ListMultipartUploadsResponse()

Method Detail

### getBucketName

    public String getBucketName()

  Returns the name of the bucket containing the listed multipart uploads, as specified in the original request.

  Returns:
    The name of the bucket containing the listed multipart uploads, as specified in the original request.

### setBucketName

    public void setBucketName(String bucketName)

  Sets the name of the bucket containing the listed multipart uploads, as specified in the original request.

  Parameters:
    `bucketName` - The name of the bucket containing the listed multipart uploads, as specified in the original request.

### getKeyMarker

    public String getKeyMarker()

  Returns the optional key marker specified in the original request to specify where in the results to begin listing multipart uploads.

  Returns:
    The optional key marker specified in the original request to specify where in the results to begin listing multipart uploads.

### setKeyMarker

    public void setKeyMarker(String keyMarker)

  Sets the optional key marker specified in the original request to specify where in the results to begin listing multipart uploads.

  Parameters:
    `keyMarker` - The optional key marker specified in the original request to specify where in the results to begin listing multipart uploads.

### getNextKeyMarker

    public String getNextKeyMarker()

  Returns the next key marker that should be used in the next request to get the next page of results. This value is only valid if isTruncated indicates this listing is truncated.

  Returns:
    the next key marker that should be used in the next request to get the next page of results. This value is only valid if isTruncated() indicates this listing is truncated.

### setNextKeyMarker

    public void setNextKeyMarker(String nextKeyMarker)

  Sets the next key marker that should be used in the next request to get the next page of results.

  Parameters:
    `nextKeyMarker` - the next key marker that should be used in the next request to get the next page of results.

### getMaxUploads

    public int getMaxUploads()

  Returns the optional maximum number of uploads to be listed, as specified in the original request.

  Returns:
    The optional maximum number of uploads to be listed, as specified in the original request.

### setMaxUploads

    public void setMaxUploads(int maxUploads)

  Sets the optional maximum number of uploads to be listed, as specified in the original request.

  Parameters:
    `maxUploads` - The optional maximum number of uploads to be listed, as specified in the original request.

### isTruncated

    public boolean isTruncated()

  Returns true if the listing is truncated, and additional requests need to be made to get more results.

  Returns:
    true if the listing is truncated, and additional requests need to be made to get more results.

### setTruncated

    public void setTruncated(boolean isTruncated)

  Sets whether this listing is truncated, and additional requests need to be made to get more results.

  Parameters:
    `isTruncated` - true if the listing is truncated, and additional requests need to be made to get more results.

### getMultipartUploads

    public List<MultipartUploadSummary> getMultipartUploads()

  Returns the list of multipart uploads.

  Returns:
    The list of multipart uploads.

### setMultipartUploads

    public void setMultipartUploads(List<MultipartUploadSummary> multipartUploads)

  Sets the list of multipart uploads.

  Parameters:
    `multipartUploads` - The list of multipart uploads.

### getCommonPrefixes

    public List<String> getCommonPrefixes()

  Returns the common prefixes included in this multipart upload listing. Common prefixes are only present if a delimiter was specified in the original request.

  Each common prefix represents a set of keys in the Bos bucket that have been condensed and omitted from the multipart upload listing results. This allows applications to organize and browse their multipart uploads hierarchically, similar to how a file system organizes files into directories.

  Returns:
    The list of common prefixes included in this multipart object listing, which might be an empty list if no common prefixes were found.

### setCommonPrefixes

    public void setCommonPrefixes(List<String> commonPrefixes)

  For internal use only. Sets the common prefixes for this multipart upload listing, representing the uploads for key prefixes that were rolled up because of the request's delimiter parameter.

  Parameters:
    `commonPrefixes` - The common prefixes for this multipart upload listing.

### getPrefix

    public String getPrefix()

  Returns the prefix parameter originally used to request this multipart upload listing, or `null` if no prefix was specified. All objects and common prefixes included in this multipart upload listing start with the specified prefix.

  Returns:
    The prefix parameter originally used to request this multipart upload listing. Returns `null` if no prefix was specified.

### setPrefix

    public void setPrefix(String prefix)

  For internal use only. Sets the prefix parameter originally used to request this multipart upload listing.

  Parameters:
    `prefix` - The prefix parameter originally used to request this multipart upload listing.

### getDelimiter

    public String getDelimiter()

  Gets the delimiter parameter originally used to request this multipart upload listing, or `null` if no delimiter specified.

  The delimiter value allows callers to condense multipart uploads for keys with common prefixes. For example, if a caller specifies a delimiter of "/" (a commonly used value for delimiter), any multipart uploads for keys that contain a common prefix between the start of the key and the first occurrence of "/" will not be included in the list of multipart uploads. Instead, the common prefixes list will have one entry for the common prefix.

  Returns:
    The delimiter parameter originally used to request this multipart upload listing. Returns `null` if no delimiter was specified.

### setDelimiter

    public void setDelimiter(String delimiter)

  For internal use only. Sets the delimiter parameter originally used to request this multipart upload listing.

  Parameters:
    `delimiter` - The delimiter parameter originally used to request this multipart upload listing.

Copyright © 2016. All rights reserved.